/* 
  libps2gamelite.c
  ps2gamelite library test harness.
*/  
  
#include "simpletools.h"
#include "ps2gamelite.h"
    
ps2game_t *player1;

int status;
int square, cross, circle, triangle,
    R1, R2, L1, L2, 
    left, backward, right, forward,
    start, select, joyPressL, joyPressR, 
    joyLX, joyLY, joyRX, joyRY;

int main()
{  
  //                    dat cmd att clk
  //simpleterm_close();
  player1 = ps2game_open(4,  5,  6,  7);
  pause(500);
  while(1)
  {
    print("%c", HOME);
    
    /*
    print("status = %2x\n\n", player1->status);
    print("thumbL = %08b\n", player1->thumbL);
    print("thumbR = %08b\n", player1->thumbR);
    print("joyRX = %03d\n", player1->joyRX);
    print("joyRY = %03d\n", player1->joyRY);
    print("joyLX = %03d\n", player1->joyLX);
    print("joyLY = %03d\n\n", player1->joyLY);
    */ 
   
    status = ps2game_status(player1);
    square = ps2game_square(player1);
    cross = ps2game_cross(player1);
    circle = ps2game_circle(player1);
    triangle = ps2game_triangle(player1);
    R1 = ps2game_1R(player1);
    L1 = ps2game_1L(player1);
    R2 = ps2game_2R(player1);
    L2 = ps2game_2L(player1);
    left = ps2game_left(player1);
    backward = ps2game_backward(player1);
    right = ps2game_right(player1);
    forward = ps2game_forward(player1);
    start = ps2game_start(player1);
    select = ps2game_select(player1);
    joyPressL = ps2game_joyPressL(player1);
    joyPressR = ps2game_joyPressR(player1);
    joyLX = ps2game_joyLX(player1);
    joyLY = ps2game_joyLY(player1);
    joyRX = ps2game_joyRX(player1);
    joyRY = ps2game_joyRY(player1);

    print("status = %2x\n\n", status);
    print("square = %d\n", square);
    print("cross = %d\n", cross);
    print("circle = %d\n", circle);
    print("triangle %d\n\n", triangle);
    print("R1 = %d\n", R1);
    print("L1 = %d\n", L1);
    print("R2 = %d\n", R2);
    print("L2 = %d\n\n", L2);
    print("left = %d\n", left);
    print("backward = %d\n", backward);
    print("right = %d\n", right);
    print("forward = %d\n\n", forward);
    print("start = %d\n", start);
    print("select = %d\n", select);
    print("joyPressL = %d\n", joyPressL);
    print("joyPressR = %d\n\n", joyPressR);
    print("joyLX = %03d\n", joyLX);
    print("joyLY = %03d\n", joyLY);
    print("joyRX = %03d\n", joyRX);
    print("joyRY = %03d\n", joyRY);

    pause(1000);
  }    
}

